class KSycocaEntry

# class KSycocaEntry | Base class for all Sycoca entries. More...
Internal Use Only
Contains pure virtuals
Definition | `#include <ksycocaentry.h>`
Inherits | KShared [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- typedef KSharedPtr Ptr
- typedef QValueList List

#### Public Methods

- virtual bool isType (KSycocaType t) const
- virtual KSycocaType sycocaType () const
- KSycocaEntry (const QString &path)
- KSycocaEntry ( QDataStream &_str, int offset )
- virtual QString name () const
- QString entryPath () const
- virtual bool isValid () const
- virtual bool isDeleted () const
- int offset ()
- virtual void save (QDataStream &s)
- virtual void load (QDataStream &)

#### Public Static Methods

- static void read ( QDataStream &s, QString &str )
- static void read ( QDataStream &s, QStringList &list )

#### Protected Methods

- virtual void virtual_hook ( int id, void* data )

#### Protected Members

- bool m_bDeleted
- QString mPath

## Detailed Description

Base class for all Sycoca entries.

You can't create an instance of KSycocaEntry, but it provides the common functionality for servicetypes and services.

See also: http://developer.kde.org/documentation/library/kdeqt/kde3arch/ksycoca.html

bool isType (KSycocaType t) | ### isType

[const virtual]

KSycocaType sycocaType () | ### sycocaType

[const virtual]

typedef KSharedPtr<KSycocaEntry> Ptr | ### Ptr

typedef QValueList List | ### List

KSycocaEntry (const QString &path) | ### KSycocaEntry

Default constructor

void read ( QDataStream &s, QString &str ) | ### read

[static]

Safe demarshalling functions.

void read ( QDataStream &s, QStringList &list ) | ### read

[static]

KSycocaEntry ( QDataStream &_str, int offset ) | ### KSycocaEntry

Restores itself from a stream.

QString name () | ### name

[const pure virtual]

Returns: the name of this entry

QString entryPath () | ### entryPath

[const]

Returns: the path of this entry The path can be absolute or relative. The corresponding factory should know relative to what.

bool isValid () | ### isValid

[const pure virtual]

Returns: true if valid

bool isDeleted () | ### isDeleted

[const virtual]

Returns: true if deleted

int offset () | ### offset

Returns: the position of the entry in the sycoca file

void save (QDataStream &s) | ### save

[virtual]

Save ourselves to the database. Don't forget to call the parent class first if you override this function.

void load (QDataStream &) | ### load

[pure virtual]

Load ourselves from the database. Don't call the parent class!

bool m_bDeleted | ### m_bDeleted

[protected]

QString mPath | ### mPath

[protected]

void virtual_hook ( int id, void* data ) | ### virtual_hook

[protected virtual]

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:15 2003, using kdoc 2.0a54.